# Class BadResponseTypeError

#### Hierarchy

- Error
  - BadResponseTypeError

- Defined in codec/lib/wrap/errors.ts:97

#####
Index

### Constructors

constructor

### Properties

request
response

## Constructors

### constructor

- new BadResponseTypeError(request, response): BadResponseTypeError

- #### Parameters

  - ##### request: WrapRequest

  - ##### response: WrapResponse

  #### Returns BadResponseTypeError

  Overrides Error.constructor

  - Defined in codec/lib/wrap/errors.ts:101

## Properties

### request

request: WrapRequest

- Defined in codec/lib/wrap/errors.ts:98

### response

response: WrapResponse

- Defined in codec/lib/wrap/errors.ts:99

Generated using TypeDoc